# Class CIM_DiagnosticSettingDataRecord
extends CIM_DiagnosticRecord

This class contains a snapshot of the settings that were used when the associated Diagnostic service was run.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_RecordForLog
|
+--CIM_DiagnosticRecord
|
+--CIM_DiagnosticSettingDataRecord

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class contains a snapshot of the settings that were used when the associated Diagnostic service was run.
UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Settings | string |
Description | string | A string containing an encoding of the DiagnosticSettingData instance that was used when the diagnostic service was run.
EmbeddedInstance | string | CIM_DiagnosticSettingData

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreationTimeStamp | datetime | CIM_DiagnosticRecord
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
ExpirationDate | datetime | CIM_DiagnosticRecord
InstanceID | string | CIM_DiagnosticRecord
Locale | string | CIM_RecordForLog
ManagedElementName | string | CIM_DiagnosticRecord
OtherRecordTypeDescription | string | CIM_DiagnosticRecord
PerceivedSeverity | uint16 | CIM_RecordForLog
RecordData | string | CIM_RecordForLog
RecordFormat | string | CIM_RecordForLog
RecordType | uint16 | CIM_DiagnosticRecord
ServiceName | string | CIM_DiagnosticRecord

## Class Methods